#include "stdafx.h"

class CFlatButton : public CButton {
     DECLARE_DYNAMIC(CFlatButton)
private:
     bool m_bRaised;
     bool m_bDrawBackground;
public:
     CFlatButton()
          : CButton()
          , m_bRaised(false)  // internal only
          , m_bDrawBackground(true)      // internal only
     {}

     // drawing
protected:
     virtual void DrawText(CDC* pDC, const CRect& rect, LPCTSTR text, UINT state=0);
     virtual void DrawBorders(CDC* pDC, CRect& rect, UINT state=0);
     virtual void Draw(CDC* pDC, const CRect& rect, UINT state=0);

protected:
     //{{AFX_MSG(CFlatButton)
     afx_msg BOOL OnEraseBkgnd(CDC* pDC);
     afx_msg void OnMouseMove(UINT nFlags, CPoint point);
     afx_msg LONG OnMouseLeave(WPARAM, LPARAM);
     //}}AFX_MSG
     //{{AFX_VIRTUAL(CFlatButton)
     virtual void PreSubclassWindow();
     virtual void DrawItem(LPDRAWITEMSTRUCT lpDIS);
     //}}AFX_VIRTUAL
     DECLARE_MESSAGE_MAP();
};
