#include "stdafx.h"
#include "Global.h"
#include "Registry.h"

/*
	// Store strMulti to clipboard
	HGLOBAL hGlobal = GlobalAlloc (GHND | GMEM_SHARE,
		(strMulti.GetLength () + 1) * sizeof (TCHAR));
	PTSTR pGlobal = (PTSTR)GlobalLock (hGlobal);
	lstrcpy (pGlobal, (LPCTSTR)strMulti);
	GlobalUnlock (hGlobal);
	
	OpenClipboard () ;
	EmptyClipboard () ;
	SetClipboardData (CF_TCHAR, hGlobal) ;
	CloseClipboard () ;
*/

void LaunchBrowser(const char *type, const char *dest)
{
	PROCESS_INFORMATION pInfo;
	STARTUPINFO	 sInfo;
	CString				UserBrowser, cmd, cmdreg;
	CRegistry			reg;
    
	cmdreg.Format("%s\\shell\\open\\command", type);

	if(!reg.VerifyKey(HKEY_CLASSES_ROOT, cmdreg))
		return;

	reg.Open(HKEY_CLASSES_ROOT, cmdreg);
	reg.Read("", UserBrowser);
	reg.Close();

	sInfo.cb	      = sizeof(STARTUPINFO);
	sInfo.lpReserved      = NULL;
	sInfo.lpReserved2     = NULL;
	sInfo.cbReserved2     = 0;
	sInfo.lpDesktop       = NULL;
	sInfo.lpTitle	 = NULL;
	sInfo.dwFlags	 = 0;
	sInfo.dwX	     = 0;
	sInfo.dwY	     = 0;
	sInfo.dwFillAttribute = 0;
	sInfo.wShowWindow     = SW_SHOW;
	if (UserBrowser.Find("%1") >= 0) {
		UserBrowser.Replace("%1", "%s");
		cmd.Format(UserBrowser, dest);
	} else {
		cmd.Format("%s \"%s\"", UserBrowser, dest);
	}
	::CreateProcess(NULL, cmd.GetBuffer(2), NULL, NULL, FALSE, 0, NULL, NULL, &sInfo, &pInfo);
}

const char *GetURLType(CString url)
{
	if (!url.Left(7).Compare("http://"))
		return "http";
	else if (!url.Left(8).Compare("https://"))
		return "https";
	else if (!url.Left(6).Compare("ftp://"))
		return "ftp";
	else if (!url.Left(7).Compare("mailto:"))
		return "mailto";
	else if (!url.Left(6).Compare("mms://"))
		return "mms";

	return NULL;
}

char *
rawncpy(char *dst, const char *src, register size_t n)
{
	if (n != 0) {
		register char *d = dst;
		register const char *s = src;
		char ns;

		do {
			if (*s > 0 && *s < ' ') {
				ns = ' ';
				s++;
			} else
				ns = *s++;
			if ((*d++ = ns) == 0) {
				/* NUL pad the remaining n-1 bytes */
				while (--n != 0)
					*d++ = 0;
				break;
			}
		} while (--n != 0);
		*d = 0;
	}
	return (dst);
}