#if !defined(AFX_LAUNCHDIALOG_H__9CF1D3D8_198D_401C_96FD_FEE44CA4D1E7__INCLUDED_)
#define AFX_LAUNCHDIALOG_H__9CF1D3D8_198D_401C_96FD_FEE44CA4D1E7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LaunchDialog.h : header file
//

#include "FlatButton.h"

/////////////////////////////////////////////////////////////////////////////
// CLaunchDialog dialog

class CLaunchDialog : public CDialog
{
// Construction
public:
	int m_position;
	void SetNewURL(const char *type, const char *dest);
	void SetWindowType(int hidetime, int position);
	CLaunchDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLaunchDialog)
	enum { IDD = IDD_LAUNCH_DIALOG };
	CFlatButton	mc_cancel;
	CFlatButton	mc_edit;
	CFlatButton	mc_exec;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLaunchDialog)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int m_hidetime;
	const char *m_utype, *m_udest;
	void StartHideTimer();

	// Generated message map functions
	//{{AFX_MSG(CLaunchDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnLaunchCancel();
	afx_msg void OnLaunchExec();
	afx_msg void OnLaunchEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LAUNCHDIALOG_H__9CF1D3D8_198D_401C_96FD_FEE44CA4D1E7__INCLUDED_)
