// AraKlipDlg.h : header file
//

#if !defined(AFX_ARAKLIPDLG_H__B574E7D8_08A2_465E_98B2_3DFD3CDDF538__INCLUDED_)
#define AFX_ARAKLIPDLG_H__B574E7D8_08A2_465E_98B2_3DFD3CDDF538__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TrayIcon.h"
#include "ConfigureDialog.h"	// Added by ClassView
#include "LaunchDialog.h"
#include "ClipQueue.h"

/////////////////////////////////////////////////////////////////////////////
// CAraKlipDlg dialog

class CAraKlipDlg : public CDialog
{
// Construction
public:
	CAraKlipDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAraKlipDlg)
	enum { IDD = IDD_ARAKLIP_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAraKlipDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	int m_ignore;
	bool CheckMailString(char *str);
	CConfigureDialog m_conf;
	CLaunchDialog m_udlg;
	CTrayIcon m_TrayIcon;
	CClipQueue m_cqueue;
	HICON m_hIcon;
	void SetClipboard(const char *str);

	// Generated message map functions
	//{{AFX_MSG(CAraKlipDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnMenuQuit();
	afx_msg void OnMenuConfigure();
	afx_msg void OnMenuAbout();
	afx_msg void OnLpopClear();
	//}}AFX_MSG
	afx_msg LRESULT OnTrayNotification(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnDrawClipboard(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ARAKLIPDLG_H__B574E7D8_08A2_465E_98B2_3DFD3CDDF538__INCLUDED_)
