#ifndef INCLUDE_CLIPQUEUE_H
#define INCLUDE_CLIPQUEUE_H

#define MAX_SLOTS 256

class CClipQueue
{
public:
	int selected;
	CClipQueue(int am=10);
	~CClipQueue();

	void add(const char *);
	void clear(void);
	int get_length(void);
	const char *getitem(int pos);
	void resize(int newsize);

private:
	const char *slots[MAX_SLOTS];
	int enqpos, deqpos, qsize;
};

#endif